Bug 1416077 - Live migration to different cluster doesn't work for RHV
Summary: Live migration to different cluster doesn't work for RHV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Tomas Jelinek
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1398287
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 14:20 UTC by Satoe Imaishi
Modified: 2017-02-27 19:30 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1398287
Environment:
Last Closed: 2017-02-27 19:30:19 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-24 14:30:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/02b87bdbb002960e47928f699b7429fd31b5947f

commit 02b87bdbb002960e47928f699b7429fd31b5947f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jan 23 14:49:13 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 24 09:24:58 2017 -0500

    Merge pull request #13603 from matobet/tomas-ccm
    
    rhv: removed the option to migrate the VMs outside of the cluster.
    (cherry picked from commit 57215ffc47d14f2b355cf0043ef97f5d6a04bf76)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416077

 app/models/manageiq/providers/redhat/infra_manager.rb |  9 ++++++++-
 app/models/vm_migrate_workflow.rb                     | 18 ++++++++++++++----
 spec/models/vm_migrate_workflow_spec.rb               |  4 ++--
 3 files changed, 24 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-01-24 14:31:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/27c5e9cbaf01ea8b03764df9f683c1017b5130e3

commit 27c5e9cbaf01ea8b03764df9f683c1017b5130e3
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Jan 24 10:17:12 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 24 09:26:44 2017 -0500

    Merge pull request #207 from matobet/tomas-ccm
    
    rhv: removed the option to migrate the VMs outside of the cluster.
    (cherry picked from commit 9e3eb7a95ad8092f661c1436f2c86afc066351f0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416077

 app/controllers/application_controller.rb               | 11 +++++++++++
 app/views/miq_request/_prov_vm_migrate_dialog.html.haml | 13 +++++++------
 2 files changed, 18 insertions(+), 6 deletions(-)

Comment 4 Oved Ourfali 2017-01-25 06:32:54 UTC
Satoe - it should be on qa, right?

Comment 6 Ilanit Stein 2017-01-29 12:24:11 UTC
Verified on CFME-5.7.1.0.20170124142149_8a5f4d5 & RHV-4.0.6.

Indeed hosts that reside on clusters, 
other than the VM's cluster, 
are NOT displayed, as an optional destination hosts, to migrate to.

Comment 8 errata-xmlrpc 2017-02-27 19:30:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.